Subject: Re: rebase -i reword runs pre-commit hook with curious results

From: Andrew Wong <[email-masked]>
Date: Thu, 02 Feb 2012 00:43:34 -0500

On 12-02-01 4:50 PM, Neal Kreitzinger wrote:
> I'm confused on why and/or how interactive rebase runs the pre-commit hook
> when doing the reword command for commit (a).
When you do a "reword" in "rebase -i", it basically does a "cherry-pick" 
of that commit first, then it does a "commit --amend". And your 
pre-commit hook should've been run during the amend.
> IOW, the pre-commit hook does not get the same results as if I were doing a
> commandline git-commit of a modified index.
Does your pre-commit hook work when doing a "commit --amend"? I'm not 
sure if you can actually modify the author (or committer) date from 
inside a pre-commit hook.